.TH "mca_btl_base_module_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_btl_base_module_t \- BTL module interface functions and attributes.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <btl.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_btl_base_component_t\fP * \fBbtl_component\fP"
.br
.RI "\fIpointer back to the BTL component structure \fP"
.ti -1c
.RI "size_t \fBbtl_eager_limit\fP"
.br
.RI "\fImaximum size of first fragment -- eager send \fP"
.ti -1c
.RI "size_t \fBbtl_min_send_size\fP"
.br
.RI "\fIthreshold below which the BTL should not fragment \fP"
.ti -1c
.RI "size_t \fBbtl_max_send_size\fP"
.br
.RI "\fImaximum send fragment size supported by the BTL \fP"
.ti -1c
.RI "size_t \fBbtl_min_rdma_size\fP"
.br
.RI "\fIthreshold below which the BTL should not fragment \fP"
.ti -1c
.RI "size_t \fBbtl_max_rdma_size\fP"
.br
.RI "\fImaximum rdma fragment size supported by the BTL \fP"
.ti -1c
.RI "uint32_t \fBbtl_exclusivity\fP"
.br
.RI "\fIindicates this BTL should be used exclusively \fP"
.ti -1c
.RI "uint32_t \fBbtl_latency\fP"
.br
.RI "\fIrelative ranking of latency used to prioritize btls \fP"
.ti -1c
.RI "uint32_t \fBbtl_bandwidth\fP"
.br
.RI "\fIbandwidth (Mbytes/sec) supported by each endpoint \fP"
.ti -1c
.RI "uint32_t \fBbtl_flags\fP"
.br
.RI "\fIflags (put/get...) \fP"
.ti -1c
.RI "\fBmca_btl_base_module_add_procs_fn_t\fP \fBbtl_add_procs\fP"
.br
.ti -1c
.RI "\fBmca_btl_base_module_del_procs_fn_t\fP \fBbtl_del_procs\fP"
.br
.ti -1c
.RI "\fBmca_btl_base_module_register_fn_t\fP \fBbtl_register\fP"
.br
.ti -1c
.RI "\fBmca_btl_base_module_finalize_fn_t\fP \fBbtl_finalize\fP"
.br
.ti -1c
.RI "\fBmca_btl_base_module_alloc_fn_t\fP \fBbtl_alloc\fP"
.br
.ti -1c
.RI "\fBmca_btl_base_module_free_fn_t\fP \fBbtl_free\fP"
.br
.ti -1c
.RI "\fBmca_btl_base_module_prepare_fn_t\fP \fBbtl_prepare_src\fP"
.br
.ti -1c
.RI "\fBmca_btl_base_module_prepare_fn_t\fP \fBbtl_prepare_dst\fP"
.br
.ti -1c
.RI "\fBmca_btl_base_module_send_fn_t\fP \fBbtl_send\fP"
.br
.ti -1c
.RI "\fBmca_btl_base_module_put_fn_t\fP \fBbtl_put\fP"
.br
.ti -1c
.RI "\fBmca_btl_base_module_get_fn_t\fP \fBbtl_get\fP"
.br
.ti -1c
.RI "\fBmca_mpool_base_module_t\fP * \fBbtl_mpool\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
BTL module interface functions and attributes. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
